import { Component } from '@angular/core';
import { IonicModule } from '@ionic/angular';
import { FormsModule } from '@angular/forms';
import { Router } from '@angular/router';
import { CommonModule } from '@angular/common';
@Component({
  selector: 'app-story-generator',
  templateUrl: './story-generator.page.html',
  styleUrls: ['./story-generator.page.scss'],
  standalone: true,
  imports: [IonicModule, FormsModule,CommonModule],
})
export class StoryGeneratorPage {
  title: string = '';
  description: string = '';
  constructor(
    private router: Router,
  ) { }

  nextStep() {
    // 处理下一步逻辑
    console.log('Title:', this.title);
    console.log('Description:', this.description);
    // 导航到 chapter-generator 页面
    this.router.navigate(['/chapter-generator']);
  }
}